WordPress Hack Terrifies Webmasters

0
69

Reports about a WordPress hack affecting self-hosted WordPress blogs have appeared on the Internet in March. The hack seems to affect WordPress 2.9.2, the latest version of the blogging platform, and maybe also older versions as well.

To make matters worse, there seem to be two – possibly unrelated – issues that webmasters experience.

One is a malware attack that is spreading malware on hacked blogs while the other is making use of cloaking techniques to serve a different version of the blog to search engine spiders than to regular visitors and admins.

The cloaking hack appeared on radars in March when bloggers and hosting providers mentioned compromised sites. Media Temple for instance stated on March 2nd that “a number of customer sites [..] have been compromised”.

WordPress Hack

wordpress hack

They identified several patterns the attackers used, one of which placed random-string names in the document root of the blog.

But Media Temple hosted WordPress blogs were not the only ones hit by the attack. Reports from webmasters hosted by Godaddy, Network Solutions or VPS.net indicated that the attack was not web hosting company specific.

Fast forward to April 6. Christopher Penn discovered that his blog had been compromised. He found out that the hack on his site injected a new option name into the wp_options table and used encoded JavaScript for obfuscation. The option name always started with rss_.

Deleting that name from the database table stopped the cloaking issues he was experiencing. The key did however appear again which suggested that his blog was still open for the attack, and that something was executing code on the site or server to add the database entries again.

The vulnerability itself has not been discovered yet. Chris suggested that it has either been the TimThumb plugin, or an outdated version of Magpie that WordPress ships with. Both have not yet been confirmed to be the entry points.

There has been no response yet from the WordPress developers regarding this issue.

To make matters worse, a second attack has hit WordPress blogs, this time to spread malware. It is not yet clear if the two attacks are related but it is likely that they are.

Frank Gruber posted information about that second attack on his blog which ironically seems to have been successfully compromised as well.

The virus somehow infiltrates WordPress and adds a new file in your scripts directory called jquery.js and then inserts that file into the header or footer files of your site. It also inserts an iFrame that calls a 3rd party site which is known for malware or other malicious activities.

The Trend Micro blog shares additional information about the virus that is being spread using this attack. The attack “leads into an infection chain that leads to various malware, including a rogue antivirus[..]”.

To sum it up:

  • Several WordPress blogs running the latest official version are currently successfully compromised.
  • Attackers either manipulate the blog to spread malware (more recently) or to cloak links that are only visible to search engines
  • It is currently not clear how the attacks are carried out.
  • Some information are available on how to disinfect a blog

Update: Most recent versions of WordPress have resolved the issues. If you have not updated yet, it is highly suggested that you do so immediately.

WordPress webmasters should check their blogs immediately to make sure that it has not been compromised yet. A wordpress plugin like Antivirus might also help in preventing a successful attack.